--Check the profile
SELECT retailer_type,count(*) as count
FROM ##sales
GROUP BY retailer_type
ORDER BY 1,2 desc

--Removing the blank spaces from this column
UPDATE ##sales
SET retailer_type=trim(retailer_type)

SELECT retailer_type,count(*) as count
FROM ##sales
GROUP BY retailer_type
ORDER BY 1,2 desc

--Remove non-printable characters
--Note you will need to re-create the clean function

UPDATE ##sales
SET retailer_type = OLTP.dbo.clean(retailer_type)
FROM ##Sales

--Fix retailer types
UPDATE ##sales
SET retailer_type = 'Direct Marketing'
WHERE retailer_type = 'Direct Mark.'
UPDATE ##sales
SET retailer_type = 'Department Store'
WHERE retailer_type = 'Dept. Store'

--Now check the profile
SELECT retailer_type,count(*) as count
FROM ##sales
GROUP BY retailer_type
ORDER BY 1,2 desc